flutter_iconly 1.0.2
flutter_iconly: ^1.0.2 copied to clipboard

300+ Free icons for your next project in 5 styles (Light, Bold, Broken) for flutter. Icons designed by piqo.

flutter_iconly #

Flutter package for Iconly 2.3 Essential Icons. Flutter iconly is package of more than 300 icons in 3 styles(Light, Bold, Broken).

You can see list name of Flutter Iconly in Flutter Iconly Web

Screenshot #

Flutter Iconly Web

Installation #

In the dependencies: section of your pubspec.yaml, add the following line:

flutter_iconly: <latest_verion>

Usage #

import 'package:flutter/material.dart';
import 'package:flutter_iconly/flutter_iconly.dart';

void main() {
  runApp(MyApp());
}

class MyApp extends StatelessWidget {
  @override
  Widget build(BuildContext context) {
    return MaterialApp(
      title: 'Iconly Demo',
      theme: ThemeData(
        primarySwatch: Colors.blue,
      ),
      home: Scaffold(
        body: SafeArea(
          child: Center(
            child: Column(
              children: [
                /// Icon Style Bold
                Icon(IconlyBold.user2),

                /// Icon Style Light
                Icon(IconlyLight.activity),

                /// Icon Style Broken
                Icon(IconlyBroken.user2),

                Icon(Icons.ac_unit)
              ],
            ),
          ),
        ),
      ),
    );
  }
}

26
likes
120
pub points
85%
popularity

300+ Free icons for your next project in 5 styles (Light, Bold, Broken) for flutter. Icons designed by piqo.

Repository (GitHub)
View/report issues

Documentation

API reference

License

unknown (LICENSE)

Dependencies

flutter

More

Packages that depend on flutter_iconly